package cn.bsl.bxbg.zhiban.utils;

import java.util.ArrayList;
import java.util.Locale;

/**
 * Created by Xinghx on 2018/3/20 0020.
 */

public class PinYin {
    // 汉字返回拼音，字母原样返回，都转换为小写
    public static String getPinYin(String input) {
        ArrayList<HanziToPinyin.Token> tokens = HanziToPinyin.getInstance().get(input);
        StringBuilder sb = new StringBuilder();
        if (tokens != null && tokens.size() > 0) {
            for (HanziToPinyin.Token token : tokens) {
                if (HanziToPinyin.Token.PINYIN == token.type) {
                    sb.append(token.target);
                } else {
                    sb.append(token.source);
                }
            }
        }
        return sb.toString().toLowerCase(Locale.US);
    }

    private static final String TAG = "PinYin";
    public static String getFirstWord(String input) {
        String pinYin = getPinYin(input);
        char[] chars = pinYin.toCharArray();
        return String.valueOf(chars[0]).toUpperCase(Locale.US);
    }
}
